Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 13 Jul 2022 16:30:34 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order on the 3rd of July and the delivery was supposed to be on 04th of July , however since the 04th July every day the status shows out for the delivery and the end of the day it shows undelivered. I have been constantly following up almost every single day with the customer service team as well the Watss app chat and every day I get an same answer stating that it will be delivered today. Really pathetic service  from max & Centre point and the customer service team. I requested to speak to a supervisor over the call the other day  and customer service representative name YAZAN said there is no supervisor available on duty. I also requested them to cancel my order and give me my money back to which they replied that the order should come back to the ware house and than they can do so. It’s been more than 1 week this is been going on and neither I have received my delivery neither cancelled my order and processed my refund. REALLY PATHETIC SERVICE will never ever order online henceforth and will even never recommend anyone to do so from Max or centre point. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4604154